org.apache.uima.analysis_engine

## Class ResultNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.UIMAException
      - - org.apache.uima.analysis_engine.ResultNotSupportedException

- All Implemented Interfaces:
    Serializable, I18nExceptionI

      public class ResultNotSupportedException
      extends UIMAException

  This exception is thrown by an Analysis Engine when it receives a request to generate results that it cannot produce. More specifically, this exception is thrown by the Analysis Engine's `AnalysisEngine.process(CAS,ResultSpecification)` method when it is given a `ResultSpecification` that is outside the scope of its `Capability` specification.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NO_SEQUENCE_FOUND` Message key for a standard UIMA exception message: "No sequence of AnalysisEngines could be constructed to satisfy the requested result."

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultNotSupportedException()` Creates a new exception with a null message.
    `ResultNotSupportedException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResultNotSupportedException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResultNotSupportedException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `ResultNotSupportedException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `ResultNotSupportedException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMAException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Field Detail

    - #### NO_SEQUENCE_FOUND

          public static final String NO_SEQUENCE_FOUND

      Message key for a standard UIMA exception message: "No sequence of AnalysisEngines could be constructed to satisfy the requested result."
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResultNotSupportedException

          public ResultNotSupportedException()

      Creates a new exception with a null message.

    - #### ResultNotSupportedException

          public ResultNotSupportedException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResultNotSupportedException

          public ResultNotSupportedException(String aResourceBundleName,
                                             String aMessageKey,
                                             Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResultNotSupportedException

          public ResultNotSupportedException(String aResourceBundleName,
                                             String aMessageKey,
                                             Object[] aArguments,
                                             Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResultNotSupportedException

          public ResultNotSupportedException(String aMessageKey,
                                             Object[] aArguments)

      Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResultNotSupportedException

          public ResultNotSupportedException(String aMessageKey,
                                             Object[] aArguments,
                                             Throwable aCause)

      Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.